KLA11271
Multiple vulnerabilities in Mozilla Firefox and Mozilla Firefox ESR
Обновлено: 03/06/2019
Дата обнаружения
26/06/2018
Уровень угрозы
Critical
Описание

Multiple serious vulnerabilities have been found in Mozilla Firefox and Mozilla Firefox ESR. Malicious users can exploit these vulnerabilities to bypass security restrictions, execute arbitrary code, cause denial of service and obtain sensitive information.

Below is a complete list of vulnerabilities:

  1. Incorrect redirect handling in Mozilla Firefox can be exploited remotely via specially designed website to obtain sensitive information;
  2. Buffer overflow vulnerability occurring in canvas rendering can be exploited remotely via specially designed website to cause denial of service;
  3. Use-after-free vulnerability occurring in element deleting can be exploited remotely via specially designed website to cause denial of service;
  4. Integer overflow vulnerability in SwizzleData can be exploited remotely via specially designed website to cause denial of service;
  5. Integer overflow vulnerability in SSSE3 scaler can be exploited remotely via specially designed website to cause denial of service;
  6. Use-after-free vulnerability occurring in moving DOM nodes between documents can be exploited remotely via specially designed website to cause denial of service;
  7. incorrect requests handling in NPAPI plugins can be exploited remotely via specially designed website to obtain sensitive information;
  8. Vulnerability in IPC sandbox security policy can be exploited remotely via specially designed website to obtain sensitive information;
  9. Out-of-bounds read vulnerability in QCMS can be exploited remotely via specially designed website to obtain sensitive information;
  10. Vulnerability related to the PerformanceNavigationTiming method can be exploited to bypass Spectre mitigations;
  11. Vulnerability related to the browser does not warn users when opening executable files with the SettingContent-ms extension;
  12. Improper authorization process handling in WebExtensions can be exploited to gain privileges;
  13. Improper default security settings vulnerability in SameSite can be exploited to obtain sensitive information;
  14. Integer overflow vulnerability in Skia library can be exploited remotely to cause denial of service;

Technical details

Vulnerabilities (1,13,14) only affects Mozilla Firefox.

Vulnerabilities (4,12) only affects Mozilla Firefox and Mozilla Firefox ESR 60.

Vulnerability (11) only affects Mozilla Firefox ESR.

Vulnerability (12) only affects Windows 10 users.

Пораженные продукты

Mozilla Firefox earlier than 61
Mozilla Firefox ESR 52 earlier than 52.9
Mozilla Firefox ESR 60 earlier than 60.1

Решение

Update to the latest version
Download Mozilla Firefox ESR
Download Mozilla Firefox

Первичный источник обнаружения
Mozilla Foundation Security Advisory 2018-16
Mozilla Foundation Security Advisory 2018-15
Mozilla Foundation Security Advisory 2018-17
Оказываемое влияние
?
ACE 
[?]

OSI 
[?]

DoS 
[?]

SB 
[?]

PE 
[?]
Связанные продукты
Mozilla Firefox
Mozilla Firefox ESR
CVE-IDS
CVE-2018-123584.3Warning
CVE-2018-123598.8Critical
CVE-2018-123608.8Critical
CVE-2018-123618.8Critical
CVE-2018-123627.5Critical
CVE-2018-123637.5Critical
CVE-2018-123647.5Critical
CVE-2018-123656.1High
CVE-2018-123666.1High
CVE-2018-123676.1High
CVE-2018-123686.1High
CVE-2018-123699.8Critical
CVE-2018-123708.8Critical
CVE-2018-123716.1High
CVE-2018-51567.5Critical
CVE-2018-51869.8Critical
CVE-2018-51878.8Critical
CVE-2018-51888.8Critical